get
/api/v2/validateValidate an API key and return its scope.
Validate an API key and return its scope.
Requires bearer API key
Parameters
No parameters.
Responses
200
Successful JSON response.
application/json{
"type": "object",
"additionalProperties": true,
"properties": {
"valid": {
"type": "boolean"
},
"keyType": {
"type": "string",
"enum": [
"project",
"organization"
]
},
"project": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string"
},
"website": {
"type": "string",
"nullable": true
}
},
"nullable": true
},
"organization": {
"type": "object",
"additionalProperties": false,
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"slug": {
"type": "string",
"nullable": true
}
},
"nullable": true
},
"apiKey": {
"type": "object",
"additionalProperties": true,
"nullable": true
}
},
"required": [
"valid",
"keyType",
"project",
"organization",
"apiKey"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.